IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_40_check]') AND type = 'P')
DROP PROCEDURE [dbo].[order_40_check]
GO

-- 生成时间:2018-06-25 14:16:48 by ebs-core  
CREATE  procedure order_40_check(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @operation varchar(50) output,
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from order_40 where ord_id=@ordid  

 ---- 以下是开发人员写的 check order 事件 --------------
 /*验证工号是否存在*/
if exists(select * from order_40 e with(nolock),#master n where e.ord_gh =n.ord_gh  and e.ord_zzzk = '在职' and e.ord_id != n.ord_id)
begin
set @operation ='abort'
    set @errorinfo ='工号已经存在于在职的员工档案中，不能进行本操作'
end
/*
if exists(select * from order_40 e with(nolock),#master n where e.ord_sfzhm = n.ord_sfzhm and isnull(n.ord_sfzhm,'')!='' and e.ord_zzzk = '在职' and e.ord_id != n.ord_id)
begin
set @operation ='abort'
    set @errorinfo ='身份证号已经存在于在职的员工档案中，不能进行本操作'
end
*/
 ---- 以上是开发人员写的 check order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @sys_recid=@sys_recid  -- here useless 
 
end 
--- 清除临时表 

exec drop_temp_table '#master' 

set nocount off 
end